"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
const sequelize_2 = require("@flexiblepersistence/sequelize");
class TestModel extends sequelize_2.BaseModelDefault {
    constructor() {
        super(...arguments);
        this.attributes = {
            // Model attributes are defined here
            id: {
                type: sequelize_1.DataTypes.STRING,
                allowNull: false,
                primaryKey: true,
            },
            name: {
                type: sequelize_1.DataTypes.STRING(100),
            },
        };
        this.options = {
            timestamps: false,
        };
    }
    generateName() {
        this.setName('Test');
    }
}
exports.default = TestModel;
//# sourceMappingURL=testModel.js.map