"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readInfo = exports.eventInfo = void 0;
const eventInfo = {
    database: 'write',
    host: process.env.MONGO_HOST || 'localhost',
    port: process.env.MONGO_PORT,
};
exports.eventInfo = eventInfo;
const readInfo = {
    database: 'postgres',
    connectionType: 'postgres',
    host: process.env.POSTGRES_HOST || 'localhost',
    port: process.env.POSTGRES_PORT || 5432,
    username: process.env.POSTGRES_USER || 'postgres',
    password: process.env.POSTGRES_PASSWORD,
};
exports.readInfo = readInfo;
//# sourceMappingURL=databaseInfos.js.map