import { DataTypes } from 'sequelize';
import { BaseModelDefault } from '@flexiblepersistence/sequelize';
export default class TestModel extends BaseModelDefault {
    generateName(): void;
    protected attributes: {
        id: {
            type: DataTypes.StringDataTypeConstructor;
            allowNull: boolean;
            primaryKey: boolean;
        };
        name: {
            type: DataTypes.StringDataType;
        };
    };
    protected options: {
        timestamps: boolean;
    };
}
//# sourceMappingURL=testModel.d.ts.map